
#include <gtk/gtk.h>

/* Notes:
 * 
 * Compile with:
 * 
 *   gcc menubar.c -o menubar `pkg-config --cflags --libs gtk+-2.0`
 * 
 * Run it in a terminal and press CTRL+C to kill it */

int main(int argc, char *argv[])
{
	GtkWidget        *menubar;
	GtkWidget        *menubarmenuitem;
	GtkWidget        *menu;
	GtkWidget        *menuitem;
	GtkWidget        *window;

	gtk_init(&argc, &argv);

	menuitem = gtk_image_menu_item_new_from_stock("gtk-quit", NULL);

	menu = gtk_menu_new();
	gtk_menu_shell_append(GTK_MENU_SHELL(menu), menuitem);

	menubarmenuitem = gtk_menu_item_new_with_label("File");
	gtk_menu_item_set_submenu(GTK_MENU_ITEM(menubarmenuitem), menu);

	menubar = gtk_menu_bar_new();
	gtk_menu_shell_append(GTK_MENU_SHELL(menubar), menubarmenuitem);

	window = gtk_window_new(GTK_WINDOW_TOPLEVEL); 
	gtk_container_add(GTK_CONTAINER(window), menubar);

	gtk_widget_show(menuitem);
	gtk_widget_show(menu);
	gtk_widget_show(menubarmenuitem);
	gtk_widget_show(menubar);
	gtk_widget_show(window);

	gtk_main();

	return 0;
}
